{% extends "base.html" %}
{% load datetime qrcode %}

{% block page_name %}
{{ track.title }} Schedule - {{ summit.title }}
{% endblock %}

{% block extrahead %}
<link rel="stylesheet" type="text/css" media="screen" href="/media/css/collapsible-tables.css" />
<script src="/media/js/collapsible-tables.js" type="text/javascript"></script>
{{ block.super }}
{% endblock %}

{% block sub_nav_links %}
<li><a class="sub-nav-item mobile" href="{% url summit.schedule.views.mobile summit.name %}">Mobile</a></li>
{% endblock %}

{% block content %}
<div class="row">
<article class="span-8">

<div class="schedule-head">
    {% qrhere %}
<span class="schedule-date">{{ track.title }}</span>
</div>
<br class="clear" />
{% for slot, meetings in schedule.items %}
<table class="basic">
<thead><tr><th colspan="2">{{slot.start|strftime:"%A %H:%M"}} - {{slot.end|strftime:"%H:%M"}} {{summit.start|strftime:"%Z"}} <a href="#" onclick="toggle(this); return false;"></a></th></tr></thead>
<tbody style="display: table-row-group;">
{% for room, agenda in meetings.items %}
<tr style="background-color: {% ifequal agenda.meeting.type 'plenary' %}#ffffe0{% else %}{{ agenda.meeting.track_color }}{% endifequal %}; {% if agenda.meeting.private %}border: 1px; border-style: solid; border-color: #FF0000;{% endif %}">
<td width="75%">
    <span onMouseOver="show_agenda_details({{agenda.id}}, {{slot.id}});" onMouseOut="hide_agenda_details({{agenda.id}}, {{slot.id}});">
    <a href="{% url summit.schedule.views.attend_meeting agenda.meeting.summit.name, agenda.meeting.id %}">
        {% if attendee in agenda.meeting.attendees %}
            <img class="icon" src="/media/img/attending.png" alt="Attending">
        {% else %}
            <img class="icon" src="/media/img/not_attending.png" alt="Not Attending">
        {% endif %}
    </a>
    <a href="{{agenda.meeting.meeting_page_url}}" style="color: #000000;" class="main-agenda-item-name">
        {{agenda.meeting.title}} -- {{agenda.meeting.drafter.name}}
    </a>
    <div id="agenda-{{agenda.id}}-{{slot.id}}-details" class="agenda-details">
    <div class="arrow"></div>
    <div class="meeting-description">
Speaker{{ agenda.meeting.required_attendees|pluralize }}: {% for attendee in agenda.meeting.required_attendees %}{{ attendee.name }}{% if not forloop.last %}, {% endif %}{% endfor %}<br />
{{agenda.meeting.description}}</div>
    {% if agenda.meeting.participant_set.count and summit_organizer %}
    <br /><b>Participants:</b>
    <div>{% for participant in agenda.meeting.participant_set.all %}
        <div>
            {% if participant.participation == 'REQUIRED' %}
            <img class="icon" src="/media/img/required.png" title="required" alt="(required)">
            {% else %}
            <img class="icon" src="/media/img/attending.png" alt="attending">
            {% endif %}{{ participant.attendee.user }}</div>
    {% endfor %}</div>
    {% endif %}
    {% if agenda.meeting.tracks.count > 0 %}
    <br /><b>{{ TRACK_DISPLAY_NAME_PLURAL }}:</b>
    <ul>{% for track in agenda.meeting.tracks.all %}
        <li style="color: #{{track.color}};">{{ track.title }}</li>
    {% endfor %}</ul>
    {% endif %}
    </div>
    </span>
</td>
<td width="25%">
    {{agenda.room.title}}
    {% if agenda.room.icecast_url %}
        <a href="{{agenda.room.icecast_url}}"><img class="icon" src="/media/img/audio.png" title="Audio Feed" alt="(Audio Feed)"></a>
    {% endif %}
    {% if agenda.room.irc_channel %}
        {% if summit.state == 'public' %}
        <a href="http://ubottu.com/uds-logs/archives/{{summit.name}}/%23{{agenda.room.irc_channel}}.log"><img class="icon" src="/media/img/chat.png" title="IRC Logs: #{{agenda.room.irc_channel}}" alt="(IRC Logs)" /></a>
        {% else %}
        <a href="{{agenda.room.webchat_url}}"><img class="icon" src="/media/img/chat.png" title="IRC Channel: #{{agenda.room.irc_channel}}" alt="(IRC Channel)" /></a>
        {% endif %}
    {% endif %}
    {% if agenda.meeting.spec_url %}<a href="{{ agenda.meeting.spec_url }}"><img class="icon" src="{{ MEDIA_URL }}img/gem-sm.png" title="Go to Blueprint" alt="Go to Blueprint" /></a>{% endif %}
</td>
</tr>
{% endfor %}
</tbody>
</table>
{% endfor %}

</article>
<article class="span-4 last">
    {% include "schedule/actions.html" %}
</article>
</div>

{% block closure %}
<style>
/* Mobile-friendly styles */
@media screen and (max-width: 960px) {
    .span-4, footer, #main-nav, footer .logo-ubuntu, .nav-secondary, .schedule-qrcode { display: none; }
    #page-header { text-align: center; }
    #page-header a { height: 24px; line-height: 1; float: none; display: inline; }
    .span-8, .span-9, .span-3, .span-12 { width: 100%; }
    table.schedule { width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column { width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column td { display: block; width: 100%; margin: 0; padding: 0; border-width: 0; }
    table.column td ul {
        width: 100%;
        margin: 0;
        padding: 0;
    }
    table.column td ul li {
        background: #efefef;
        border-bottom: 1px solid black;
        list-style: none;
        text-align: center;
        font-size: 24px;
        line-height: 24px;
        min-height: 24px;
        width: 100%;
        display: block;
        padding: 4px 0;
        margin: 0;
    }
    #fb-root * { width: auto; }
    div.schedule-head .schedule-date {
        font-weight: normal;
        font-size: 36px;
        margin: 0;
        display: block;
        text-align: center;
        width: 100%;
    }
}
</style>
<script language="JavaScript">

function show_agenda_details(agenda_id, index_id) {
    var elem_id = 'agenda-'+agenda_id+'-'+index_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='block';
}

function hide_agenda_details(agenda_id, index_id) {
    var elem_id = 'agenda-'+agenda_id+'-'+index_id+'-details'
    var details = document.getElementById(elem_id)
    details.style.display='none';
}

</script>
<script>
/* Mobile handler for clicking a link */
/* put at the bottom of the page so that the relevant elements exist */
document.querySelector("article.main-content").addEventListener("click", function(e) {
    /* Only handle clicking on the main links in the table */
    if (e.target.nodeName.toLowerCase() == "a" && e.target.className == "main-agenda-item-name") {
        /* only override links if we're in mobile mode */
        if (document.documentElement.clientWidth > 481) return;
        e.stopPropagation();
        e.preventDefault();
        /* toggle display of the details div */
        var details_div = e.target.parentNode.getElementsByTagName("div")[0];
        details_div.style.display = details_div.style.display == "block" ? "none" : "block";
        /* and add a link to the specific page to the top of the details div, if
           we haven't already */
        var links = details_div.getElementsByClassName("real-link");
        if (links.length == 0) {
            var a = document.createElement("a");
            a.href = e.target.href;
            a.appendChild(document.createTextNode("View details of this session"));
            a.className = "real-link";
            details_div.insertBefore(a, details_div.firstChild);
        }
    }
});

/* override the mouseover/mouseout functions in mobile mode */
var old_show_agenda_details = show_agenda_details;
var old_hide_agenda_details = hide_agenda_details;
show_agenda_details = function(agenda_id, slot_id) {
    if (document.documentElement.clientWidth > 481) {
        return old_show_agenda_details(agenda_id, slot_id);
    }
};
hide_agenda_details = function(agenda_id, slot_id) {
    if (document.documentElement.clientWidth > 481) {
        return old_hide_agenda_details(agenda_id, slot_id);
    }
};

</script>
{% endblock %}

{% endblock %}
